ClassOccurenceRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class ClassOccurenceRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.ClassExpression
              fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
                  fr.inrialpes.exmo.align.impl.edoal.ClassOccurenceRestriction

All Implemented Interfaces:
  Cloneable, Visitable

    public class ClassOccurenceRestriction

extends ClassRestriction
implements Cloneable

Represents a attributeOccurenceRestriction tag for a ClassExpressions.

Created on 24-Mar-2005 Committed by $Author: poettler_ric $

$Id: ClassOccurenceRestriction.java,v 1.5 2006/11/15 16:01:17 poettler_ric Exp $

Version:
  $Revision: 1.6 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Francois Scharffe, Adrian Mocan, Richard Pöttler

Field Summary
`(package private) Comparator` | `comparator`
`(package private) int` | `occurence`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
`constrainedPath`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`ClassOccurenceRestriction(PathExpression p, Comparator c, int n)` Constructs a attributeOccurenceRestriction with the given restriction.

Method Summary
`Comparator` | `getComparator()`
`int` | `getOccurence()`
`void` | `setComparator(Comparator c)`
`void` | `setOccurence(int n)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
`getRestrictionPath, setRestrictionPath`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comparator

    Comparator comparator

### occurence

    int occurence

Constructor Detail

### ClassOccurenceRestriction

    public ClassOccurenceRestriction(PathExpression p,
                                     Comparator c,
                                     int n)

  Constructs a attributeOccurenceRestriction with the given restriction.

  Parameters:
    `attribute` - the attribute on which the restriction should be applied
    `restriction` - the restriction for the domain
  Throws:
    `NullPointerException` - if the restriction is null

Method Detail

### getOccurence

    public int getOccurence()

### setOccurence

    public void setOccurence(int n)

### getComparator

    public Comparator getComparator()

### setComparator

    public void setComparator(Comparator c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010